#pragma once
#include "datatable/converter/AbstractFormatConverter.h"
#include <list>

class DefaultFormatConverter: public AbstractFormatConverter
{
private:
    std::list<AgString> constructorArguments;
public:
    DefaultFormatConverter(const AgString& valueClass, TableFormatPtr format);
    virtual FieldFormat* createFieldFormat(const AgString &name);
    void addConstructorField(const AgString &field);
};
